This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 107622 - [rfe] please upgrade to 2.8.1
[rfe] please upgrade to 2.8.1
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: lm_sensors (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-21 07:43 EDT by Kaj J. Niemi
Modified: 2015-03-04 20:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-24 05:21:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kaj J. Niemi 2003-10-21 07:43:19 EDT
Description of problem:
Please consider upgrading lm_sensors to 2.8.1. The changelog is rather long the
highlight (for me) is xeontemp.

2.8.1 (20031005)
  NOTE: Requires i2c-2.8.1 or newer!
  File sensors.conf.eg: Improved adm1025 section
                        Default temp labels for as99127f
                        Improved lm83 section
                        Better support for Asus A7V8X-X
  File doc/chips/SUMMARY: Add SMSC manufacturer ID
  File doc/chips/adm1025: Add decent documentation (almost new)
  File doc/chips/lm83: Known motherboards list update, misc updates
  Library: Change adm1025 names (hyst/over become low/high)
           Swap adm1025 temp1 and temp2 to match the driver's order
           Advance version to 2.0.1
           Update lm83 support
           Add support for lm90, xeontemp, max6650
           Add separate messages for read and write errors
           Add missing message for parse error
  Makefile: Move LINUX_HEADERS from ALL_CPPFLAGS to MODCPPFLAGS
  Modules (various): Fix includes for compilation on Alpha
                     Use the new i2c_delay function instead of the various
                     do_pause functions
  Module i2c-ali15x3: Fix resource leak (Daniele Bellucci)
  Module i2c-nforce2: Cleanups
  Module i2c-i810: Use readl/writel for portable access to PCI memory
  Module i2c-piix4: Force CPCI735 bug workaround (Tom Rini)
  Module i2c-savage4: Use readl/writel for portable access to PCI memory
  Module i2c-sis630: Fix detection
                     Add block data read/write support
  Module i2c-sis645: Detection method change/bugfix
  Module i2c-viapro: Prevent buffer overrun (Sergey Vlasov)
  Module i2c-voodoo3: Use readl/writel for portable access to PCI memory
  Module adm1025: Major driver update
                  Add support for Philips NE1619
                  Simplify the driver a lot (unified voltages, unified
                  temperatures and much more)
                  Fix default voltage limits
                  Change default temperature limits
                  Swap remote and local temperatures to match the internal
                  registers order (make the code unification possible)
                  Export remote diode fault through alarms
  Module ddcmon: Major update
                 Add half a dozen new features
                 Add checksum parameter (same as for the eeprom module)
                 Fix monitor limits
  Module eeprom: Ignore Sony Vaio EEPROMs with a password set
  Module lm78: Fix a fan_div/fan_min bug
  Module lm83: Add t_crit and alarms support
  Module lm90: New
  Module max6650: New
  Module saa1064: New
  Module smsc47m1: Add support for 47M142
  Module w83627hf: Fix 697HF PWM; fix 697HF VBAT and V5SB alarms;
                   enhance w83627thf support
  Module w83781d: Enhance chip detection; clean up error returns;
                  fix 697HF and 791D PWM; fix 697HF VBAT and V5SB alarms
  Module xeontemp: New
  Program decode-dimms.pl: Add Direct Rambus (DRDRAM)
                           Mark Rambus as unsupported
  Program decode-edid.pl: New
                          Interfaces between our eeprom module and
                          parse-edid from the read-edid project
  Program p4b_smbus: Fix SMP compilation
  Program sensord: Add support for IT87 (Mike Black)
                   Change ADM1025 support to match the changes made to
                   the library
  Program sensors: Rewrite and enhance EEPROM support
                   Change LM83 and ADM1025 support to match the changes
                   made to the library
                   Add DRDRAM support to print_eeprom
                   Exit(1) on /proc write failure (Malte Starostik)
                   Add LM90, MAX6650 support
  Program sensors-detect: Add support for PCF8574, PCF8574A, SAA1064
                          Add support for LM82, LM86, LM89
                          Improved W83781D family detection
                          Add support for AS19927F rev.2, ASB100 Bach
                          Add support for Asus Mozart-2 (3 types)
                          Add support for NE1619
                          Add support for FSC Hermes
                          Make sure /sbin is in the user's path
                          Fix EEPROM detection
                          Automatic module.conf and /dev/i2c* detection
                          Improve LM82 and LM83 detection
                          Handle "to-be-written" cleanly
                          Add detection for 47M14x Super I/O
			  Handle the one-address-many-chips-same-driver
                          case


Thanks.
Comment 1 Phil Knirsch 2003-10-24 05:21:06 EDT
Updated in rawhide. Package to appear real soon now.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.